<template>
  <main class="page-home">
    <section class="header-home">
      <div class="wrapper-title">
        <h1 class="main-title">
          {{ $t('pages.home.title') }}
        </h1>
        <p class="main-description">{{ $t('pages.home.description') }}</p>
        <Link
          :text="$t('pages.home.more_images_button')"
          look="button button--blue link-top"
          url="https://api.panoramax.xyz/"
          type="external"
          target="_blank"
        />
      </div>
      <img
        src="@/assets/images/person-taking-photo.jpg"
        :alt="$t('pages.home.illustration_alt')"
        loading="lazy"
        class="image-top-home"
      />
      <img
        src="@/assets/images/upload-person.jpg"
        :alt="$t('pages.home.illustration_alt')"
        loading="lazy"
        class="image-top-home"
      />
      <img
        src="@/assets/images/view.jpg"
        :alt="$t('pages.home.illustration_alt')"
        loading="lazy"
        class="image-top-home"
      />
    </section>
    <section class="home-section">
      <h2 class="home-section-title">
        {{ $t('pages.home.howItWorks_title') }}
      </h2>
      <p class="home-section-description">
        {{ $t('pages.home.howItWorks_description') }}
      </p>
      <ol class="wrapper-list wrapper-how-it-works">
        <HowItWorks
          v-for="howItWork in howItWorks"
          :key="howItWork.title"
          :title="howItWork.title"
          :description="howItWork.description"
          :image="howItWork.image"
        />
      </ol>
    </section>
    <section class="home-section">
      <h2 class="home-section-title">
        {{ $t('pages.home.why_title') }}
      </h2>
      <p class="home-section-description">
        {{ $t('pages.home.why_description') }}
      </p>
      <div class="entry-button">
        <Link
          :text="$t('pages.home.why_button')"
          look="button button--blue"
          url="/cas-d-usage"
        />
      </div>
    </section>
    <section class="home-section">
      <h2 class="home-section-title metrics-title">
        {{ $t('pages.home.metrics_title') }}
      </h2>
      <ol class="wrapper-list wrapper-metrics">
        <Metrics
          v-for="metric in stats"
          :key="metric.number"
          :number="metric.number"
          :text="metric.text"
          :description="metric.description"
        />
      </ol>
      <div class="entry-button">
        <Link
          :text="$t('pages.home.stats_button')"
          look="button button--blue"
          url="/stats"
        />
      </div>
    </section>
    <section class="home-section instances-section" id="instances">
      <h2 class="home-section-title">
        {{ $t('pages.home.instance_title') }}
      </h2>
      <p
        class="home-section-description"
        v-html="$t('pages.home.instance_description')"
      />
      <ol class="wrapper-list">
        <Instance
          v-for="instance in instances"
          :name="instance.name"
          :subtitle-localization="instance.subtitleLocalization"
          :description-localization="instance.descriptionLocalization"
          :subtitle-license="instance.subtitleLicense"
          :description-license="instance.descriptionLicense"
          :url="instance.url"
          :image="{
            url: instance.image.url,
            alt: instance.image.alt
          }"
        />
      </ol>
    </section>
    <section class="home-section catalogue-section">
      <h2 class="home-section-title">
        {{ $t('pages.home.discover_title') }}
      </h2>
      <p class="home-section-description">
        {{ $t('pages.home.discover_description') }}
      </p>
      <div id="viewer" class="entry-viewer"></div>
      <p class="home-section-description home-section-description-catalogue">
        {{ $t('pages.home.discover_description_end') }}
      </p>
      <div class="entry-button catalogue">
        <Link
          :text="$t('pages.home.discover_more_images_button')"
          look="button button--blue"
          url="https://api.panoramax.xyz/"
          type="external"
          target="_blank"
        />
      </div>
    </section>
    <section class="home-section community-list">
      <h2 class="home-section-title">
        {{ $t('pages.home.community_title') }}
      </h2>
      <p class="home-section-description">
        {{ $t('pages.home.community_description') }}
      </p>
      <ul class="wrapper-list">
        <li v-for="community in communities" :key="community.alt">
          <img
            :src="img(community.url)"
            :alt="community.alt"
            loading="lazy"
            class="logo-community"
          />
        </li>
      </ul>
    </section>
    <section class="home-section use-section">
      <h2 class="home-section-title">
        {{ $t('pages.home.use_title') }}
      </h2>
      <p class="home-section-description">
        {{ $t('pages.home.use_description') }}
      </p>
      <ul class="wrapper-list use-list">
        <li v-for="use in uses">
          <div class="entry-use">
            <span class="use-title">{{ use.title }}</span>
            <div class="wrapper-image-use">
              <img
                :src="img(use.image.url)"
                :alt="use.image.alt"
                loading="lazy"
                class="logo-community"
              />
            </div>
            <div class="use-link">
              <Link
                :url="use.link"
                :text="$t('pages.home.use_link')"
                type="external"
                target="_blank"
                look="link--blue"
              />
            </div>
          </div>
        </li>
      </ul>
    </section>
    <section class="home-section media-list">
      <h2 class="home-section-title">
        {{ $t('pages.home.media_title') }}
      </h2>
      <p class="home-section-description">
        {{ $t('pages.home.media_description') }}
      </p>
      <ul class="wrapper-list">
        <li v-for="media in medias" :key="media.alt">
          <a
            :href="media.link"
            target="_blank"
            rel="noopener"
            class="media-link"
          >
            <img
              :src="img(media.url)"
              :alt="media.alt"
              loading="lazy"
              class="logo-community"
            />
          </a>
        </li>
      </ul>
    </section>
    <section class="home-section">
      <div>
        <h2 class="home-section-title">
          {{ $t('pages.home.joinUs_title') }}
        </h2>
        <p class="home-section-description">
          {{ $t('pages.home.joinUs_description') }}
        </p>
        <ul class="wrapper-list">
          <li class="list-join-us">
            <JoinUs :title="joinUs_link.title">
              <div slot="content" class="wrapper-button">
                <div>
                  <img
                    src="@/assets/images/mail-icon.svg"
                    loading="lazy"
                    alt=""
                    class="image-mail"
                  />
                  <a href="mailto:panoramax@panoramax.fr" class="mail-link"
                    >panoramax@panoramax.fr</a
                  >
                  <p class="joinus-text-next">
                    {{ $t('pages.home.joinUs_link.text_next') }}
                  </p>
                  <Link
                    :url="joinUs_link.url"
                    :text="$t('pages.home.joinUs_link.text')"
                    look="button button--blue"
                    type="external"
                    target="_blank"
                  />
                </div>
              </div>
            </JoinUs>
          </li>
          <li v-for="joinUsButton in joinUsButtons" class="list-join-us">
            <JoinUs :key="joinUsButton.title" :title="joinUsButton.title">
              <div slot="content" class="wrapper-button">
                <div class="wrapper-content">
                  <div
                    v-if="joinUsButton.event_text_1"
                    class="wrapper-event-link"
                  >
                    <div>
                      <img
                        src="@/assets/images/calendar-icon.svg"
                        loading="lazy"
                        alt=""
                        class="image-mail"
                      />
                      <span>{{ joinUsButton.event_text_2 }}</span>
                    </div>
                    <div>
                      <span>{{ joinUsButton.event_text_1 }}</span>
                      <a
                        :href="joinUsButton.event_link_url"
                        target="_blank"
                        class="event-link"
                        >{{ joinUsButton.event_link_text }}</a
                      >
                    </div>
                  </div>
                  <Link
                    :text="joinUsButton.text"
                    :url="joinUsButton.url"
                    look="button button--blue"
                    type="external"
                    target="_blank"
                  />
                </div>
              </div>
            </JoinUs>
          </li>
        </ul>
      </div>
    </section>
    <section class="home-section newsletter-section">
      <iframe
        style="border: none; width: 100%"
        src="https://grist.numerique.gouv.fr/o/panoramax/forms/ca43Si5b4HtoVE24RZT1aU/87"
      >
      </iframe>
    </section>
  </main>
</template>
<script lang="ts" setup>
import { onMounted, ref, computed, watch } from 'vue'
import { useI18n } from 'vue-i18n'
// eslint-disable-next-line @typescript-eslint/ban-ts-comment
// @ts-ignore
import { Viewer } from '@panoramax/web-viewer'
import Link from '@/components/Link.vue'
import HowItWorks from '@/components/HowItWorks.vue'
import Metrics from '@/components/Metrics.vue'
import Instance from '@/components/Instance.vue'
import JoinUs from '@/components/JoinUs.vue'
import type { Image } from '@/interfaces/index'
import { img } from '../utils/image'
import { getSecondMondayDate, formatNumber } from '../utils/index'

let viewer = ref()
let stats = ref<MetricsData[]>()
interface MetricsData {
  number: string
  text: string
  description: string
}
interface HowItWorksData {
  title: string
  description: string[]
  image: Image
}
interface JoinUsEventData {
  event_text_1: string
  event_text_2: string
  event_link_text: string
  event_link_url: string
}
interface joinUsData extends Partial<JoinUsEventData> {
  title: string
  text: string
  url: string
}
const { t, locale } = useI18n()

const howItWorks = computed((): HowItWorksData[] => {
  return [
    {
      title: t('pages.home.howItWorks_geocommon.title'),
      description: [
        t('pages.home.howItWorks_geocommon.description_1'),
        t('pages.home.howItWorks_geocommon.description_2'),
        t('pages.home.howItWorks_geocommon.description_3')
      ],
      image: {
        url: 'common-icon.svg',
        alt: t('pages.home.howItWorks_geocommon.image.alt')
      }
    },
    {
      title: t('pages.home.howItWorks_decentralized.title'),
      description: [
        t('pages.home.howItWorks_decentralized.description_1'),
        t('pages.home.howItWorks_decentralized.description_2'),
        t('pages.home.howItWorks_decentralized.description_3')
      ],
      image: {
        url: 'usecases-icon.svg',
        alt: t('pages.home.howItWorks_decentralized.image.alt')
      }
    },
    {
      title: t('pages.home.howItWorks_governance.title'),
      description: [
        t('pages.home.howItWorks_governance.description_1'),
        t('pages.home.howItWorks_governance.description_2'),
        t('pages.home.howItWorks_governance.description_3')
      ],
      image: {
        url: 'participative-icon.svg',
        alt: t('pages.home.howItWorks_governance.image.alt')
      }
    }
  ]
})

const joinUs_link = computed((): { title: string; url: string } => {
  return {
    title: t('pages.home.joinUs_link.title'),
    url: 'https://forum.geocommuns.fr/c/panoramax/6'
  }
})
const joinUsButtons = computed((): joinUsData[] => {
  return [
    {
      title: t('pages.home.joinUs_button_event.title'),
      text: t('pages.home.joinUs_button_event.text'),
      url: 'https://framagenda.org/apps/calendar/p/ZQQ5s2EEwT7Nzjm5',
      event_text_1: t('pages.home.joinUs_button_event.event_text_1'),
      event_text_2: t('pages.home.joinUs_button_event.event_text_2', {
        date: getSecondMondayDate(2)
      }),
      event_link_text: t('pages.home.joinUs_button_event.event_link_text'),
      event_link_url: 'https://meet.jit.si/panoramax'
    },
    {
      title: t('pages.home.joinUs_button_event_international.title'),
      text: t('pages.home.joinUs_button_event_international.text'),
      url: 'https://framagenda.org/apps/calendar/p/ZQQ5s2EEwT7Nzjm5',
      event_text_1: t(
        'pages.home.joinUs_button_event_international.event_text_1'
      ),
      event_text_2: t(
        'pages.home.joinUs_button_event_international.event_text_2',
        {
          date: getSecondMondayDate(3)
        }
      ),
      event_link_text: t('pages.home.joinUs_button_event.event_link_text'),
      event_link_url: 'https://meet.jit.si/panoramax'
    }
  ]
})
const uses = computed((): { image: Image; title: string; link: string }[] => {
  return [
    {
      title: t('pages.home.use_title_osm_org'),
      link: 'https://openstreetmap.org',
      image: {
        url: 'osm-org-logo.svg',
        alt: t('pages.home.use_alt_logo_osm_org')
      }
    },
    {
      title: t('pages.home.use_title_cartesapp'),
      link: 'https://panoramax.fr/cas-d-usage/cartes-app-1ere-carte-generaliste-a-integrer-panormax',
      image: {
        url: 'cartes-app-logo.svg',
        alt: t('pages.home.use_alt_logo_cartesapp')
      }
    },
    {
      title: t('pages.home.use_title_mapcomplete'),
      link: 'https://mapcomplete.org/',
      image: {
        url: 'mapcomplete-logo.svg',
        alt: t('pages.home.use_alt_logo_mapcomplete')
      }
    },
    {
      title: t('pages.home.use_title_geovelo'),
      link: 'https://geovelo.app',
      image: {
        url: 'geovelo-logo.svg',
        alt: t('pages.home.use_alt_logo_geovelo')
      }
    },
    {
      title: t('pages.home.use_title_qgis'),
      link: 'https://gitlab.com/lejolec/plugin-qgis-ouvrir-panoramax',
      image: {
        url: 'qgis-logo.png',
        alt: t('pages.home.use_alt_logo_qgis')
      }
    },
    {
      title: t('pages.home.use_title_bayonne'),
      link: 'https://panoramax.fr/cas-d-usage/bayonne-un-reseau-d-agents-impliques-sur-la-collecte-pour-des-usages-multiples',
      image: {
        url: 'bayonne-logo.jpg',
        alt: t('pages.home.use_alt_logo_bayonne')
      }
    },
    {
      title: t('pages.home.use_title_esri'),
      link: 'https://www.arcorama.fr/2024/10/les-couches-panoramax-sont-disponibles.html',
      image: {
        url: 'esri-logo.png',
        alt: t('pages.home.use_alt_logo_esri')
      }
    },
    {
      title: t('pages.home.use_title_geomatika'),
      link: 'https://panoramax.fr/cas-d-usage/bayonne-un-reseau-d-agents-impliques-sur-la-collecte-pour-des-usages-multiples',
      image: {
        url: 'geomatika-logo.png',
        alt: t('pages.home.use_alt_logo_geomatika')
      }
    }
  ]
})
const instances = computed(
  (): {
    image: Image
    name: string
    subtitleLocalization: string
    descriptionLocalization: string
    subtitleLicense: string
    descriptionLicense: string
    url: string
  }[] => {
    return [
      {
        name: t('pages.home.instance_name_ign'),
        subtitleLocalization: t(
          'pages.home.instance_localization_subtitle_ign'
        ),
        descriptionLocalization: t(
          'pages.home.instance_localization_description_ign'
        ),
        subtitleLicense: t('pages.home.instance_license_subtitle_ign'),
        descriptionLicense: t('pages.home.instance_license_description_ign'),
        url: 'https://panoramax.ign.fr/',
        image: {
          url: 'ign-logo.svg',
          alt: t('pages.home.instance_logo_ign_alt')
        }
      },
      {
        name: t('pages.home.instance_name_osm'),
        subtitleLocalization: t(
          'pages.home.instance_localization_subtitle_osm'
        ),
        descriptionLocalization: t(
          'pages.home.instance_localization_description_osm'
        ),
        subtitleLicense: t('pages.home.instance_license_subtitle_osm'),
        descriptionLicense: t('pages.home.instance_license_description_osm'),
        url: 'https://panoramax.openstreetmap.fr/',
        image: {
          url: 'osm-logo.png',
          alt: t('pages.home.instance_logo_osm_alt')
        }
      },
      {
        name: t('pages.home.instance_name_mapcomplete'),
        subtitleLocalization: t(
          'pages.home.instance_localization_subtitle_mapcomplete'
        ),
        descriptionLocalization: t(
          'pages.home.instance_localization_description_mapcomplete'
        ),
        subtitleLicense: t('pages.home.instance_license_subtitle_mapcomplete'),
        descriptionLicense: t(
          'pages.home.instance_license_description_mapcomplete'
        ),
        url: 'https://panoramax.mapcomplete.org/',
        image: {
          url: 'mapcomplete-logo.svg',
          alt: t('pages.home.instance_logo_mapcomplete_alt')
        }
      }
    ]
  }
)
const communities = computed((): Image[] => {
  return [
    {
      url: 'beta-gouv-logo.png',
      alt: t('pages.home.community_logo_beta.alt')
    },
    {
      url: 'ign-logo.png',
      alt: t('pages.home.community_logo_ign.alt')
    },
    {
      url: 'fabrique-logo.jpg',
      alt: t('pages.home.community_logo_fabrique.alt')
    },
    {
      url: 'osm-logo-simple.png',
      alt: t('pages.home.community_logo_osm.alt')
    },
    {
      url: 'carto-cite-logo.png',
      alt: t('pages.home.community_logo_cartocite.alt')
    },
    {
      url: 'valparisis-logo.jpeg',
      alt: t('pages.home.community_logo_valparisis.alt')
    },
    {
      url: 'code-lutin-logo.png',
      alt: t('pages.home.community_logo_codelutin.alt')
    },
    {
      url: 'geovelo-logo.svg',
      alt: t('pages.home.community_logo_geovelo.alt')
    },
    {
      url: 'jungle-bus-logo.svg',
      alt: t('pages.home.community_logo_junglebus.alt')
    },
    {
      url: 'sogefi-logo.svg',
      alt: t('pages.home.community_logo_sogefi.alt')
    },
    {
      url: 'agaric-logo.png',
      alt: t('pages.home.community_logo_agaric.alt')
    },
    {
      url: 'bayonne-logo.jpg',
      alt: t('pages.home.community_logo_bayonne.alt')
    }
  ]
})
const medias = computed((): Image[] => {
  return [
    {
      url: 'franceinfo-logo.png',
      alt: t('pages.home.media_logo_franceinfo.alt'),
      link: 'https://www.francetvinfo.fr/replay-radio/nouveau-monde/panoramax-le-projet-citoyen-initie-par-l-institut-national-de-l-information-geographique-et-forestiere-ign-pour-ne-plus-dependre-de-google-street-view_6754240.html'
    },
    {
      url: 'e1-logo.png',
      alt: t('pages.home.media_logo_europe1.alt'),
      link: 'https://www.europe1.fr/emissions/initiative-a-impact/panoramax-lalternative-libre-et-souveraine-a-street-view-4229690'
    },
    {
      url: 'next-logo.png',
      alt: t('pages.home.media_logo_nextlink.alt'),
      link: 'https://next.ink/125818/panoramax-lalternative-libre-et-francaise-a-google-street-view/'
    },
    {
      url: 'good-tech-logo.png',
      alt: t('pages.home.media_logo_goodtech.alt'),
      link: 'https://goodtech.info/panoramax-alternative-libre-a-street-view/'
    },
    {
      url: 'acteurs-publics-logo.png',
      alt: t('pages.home.media_logo_acteurspublics.alt'),
      link: 'https://acteurspublics.fr/articles/pour-saffranchir-de-google-street-view-letat-joue-collectif'
    },
    {
      url: 'banque-territoires-logo.png',
      alt: t('pages.home.media_logo_banqueterritoires.alt'),
      link: 'https://www.banquedesterritoires.fr/comment-les-usages-de-panoramax-se-dessinent-dans-les-territoires'
    }
  ]
})
watch(
  () => locale.value,
  () => {
    if (viewer.value) {
      const api = import.meta.env.VITE_API_URL
      const viewerEl = document.getElementById('viewer')
      if (viewerEl) viewerEl.innerHTML = ''
      viewer.value = null
      initViewer(api)
    }
  }
)
onMounted(async () => {
  const api = import.meta.env.VITE_API_URL
  initViewer(api)
  const data = await fetch(`${api}stats/`)
  const jsonData = await data.json()
  stats.value = [
    {
      number: formatNumber(jsonData.generic_stats.nb_pictures),
      text: t('pages.home.metrics_pictures.text'),
      description: t('pages.home.metrics_pictures.description')
    },
    {
      number: formatNumber(
        jsonData.generic_stats.collections_length_km.toString()
      ),
      text: t('pages.home.metrics_km.text'),
      description: t('pages.home.metrics_km.description')
    },
    {
      number: formatNumber(jsonData.generic_stats.nb_contributors.toString()),
      text: t('pages.home.metrics_contributors.text'),
      description: t('pages.home.metrics_contributors.description')
    }
  ]
})

function initViewer(api: string): void {
  viewer.value = new Viewer(
    'viewer', // Div ID
    api,
    {
      selectedPicture: 'df0c4b7f-c689-485a-a562-57224b761bcc',
      hash: false,
      lang: locale.value
    }
  )
}
</script>
<style scoped lang="scss">
.header-home {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  position: relative;
}
.wrapper-title {
  color: var(--white);
  position: absolute;
  top: 50%;
  transform: translate(0%, -50%);
  z-index: 1;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  background: linear-gradient(90deg, #0a1f69 -20%, rgba(10, 31, 105, 0) 100%);
  padding-left: 8%;
}

.main-title {
  font-size: 3.5rem;
  width: 60rem;
  margin-bottom: 2rem;
}
.main-description {
  width: 60rem;
  font-size: 1.8rem;
  margin-bottom: 1rem;
}
.image-top-home {
  width: 33.33%;
  object-fit: contain;
}
.home-section {
  position: relative;
  border-radius: 4rem;
  padding: 0 8% 4rem;
}
section:nth-child(even) {
  padding-right: calc(8% + 6rem);
  padding-left: calc(8% + 6rem);
}
.catalogue-section {
  padding-right: calc(8% + 6rem);
  padding-left: calc(8% + 6rem);
}
.metrics-title {
  border-top: 0.1rem solid var(--grey);
}

.home-section-title {
  text-align: center;
  @include title();
  padding-right: 2rem;
  padding-left: 2rem;
  padding-top: 3rem;
}
.home-section-description {
  text-align: center;
  font-size: 1.6rem;
  color: var(--grey-dark);
  width: 50%;
  margin: 1rem auto 3rem;
}
.wrapper-list {
  display: flex;
  justify-content: center;
}
.wrapper-metrics {
  margin-top: 2rem;
  margin-bottom: 3rem;
}
.instances-section {
  background-color: var(--blue-dark);
  border-radius: 0;
  padding-bottom: 3rem;
}
.instances-section .home-section-description {
  color: var(--white);
}
.instances-section .home-section-title {
  color: var(--white);
  margin-bottom: 3rem;
}
.home-section-description-catalogue {
  margin-top: 3rem;
  margin-bottom: 1.5rem;
}
.entry-viewer {
  border-radius: inherit;
  overflow: hidden;
  height: 50rem;
}
.entry-button {
  display: flex;
  justify-content: center;
}
.catalogue {
  border-bottom: 0.1rem solid var(--grey);
  padding-bottom: 3rem;
}
.wrapper-event-link {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 1rem;
}
.wrapper-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  font-size: 1.6rem;
}
.wrapper-button {
  display: flex;
  align-items: center;
  width: fit-content;
  color: var(--grey-dark);
}
.event-link {
  text-decoration: underline;
  color: var(--blue-dark);
  margin-left: 0.5rem;
}
.event-link:hover {
  background-color: transparent;
  text-decoration: none;
}
.mail-link {
  color: var(--grey-dark);
  font-size: 1.6rem;
  text-decoration: underline;
}
.mail-link:hover {
  background-color: transparent;
  text-decoration: underline;
}

.joinus-section .home-section-description {
  margin-top: 3rem;
  padding-right: 2rem;
  padding-left: 2rem;
}
.image-mail {
  height: 1.5rem;
  margin-right: 0.5rem;
}
.community-list .wrapper-list {
  padding-bottom: 3rem;
  flex-wrap: wrap;
}
.media-list .wrapper-list {
  flex-wrap: wrap;
  li {
    margin-top: 1rem;
  }
}
.community-list .home-section-title {
  margin-bottom: 2rem;
}
.community-list li {
  margin-right: 2rem;
  margin-left: 2rem;
  margin-top: 1rem;
}
.media-list li {
  margin-right: 2rem;
  margin-left: 2rem;
}
.media-link:hover {
  background-color: transparent;
  opacity: 0.6;
}
.logo-community {
  height: 6rem;
}
.list-join-us {
  margin-right: 2rem;
  width: 33%;
}
.list-join-us:last-child {
  margin-right: 0;
}
.joinus-text-next {
  margin-top: 1rem;
  margin-bottom: 1rem;
}
@media (max-width: 1324px) {
  .media-list li {
    margin-top: 2rem;
  }
}
@media (max-width: 1024px) {
  .wrapper-list {
    flex-direction: column;
    align-items: center;
  }
  .community-list .wrapper-list {
    flex-direction: row;
  }
  .instances-section .wrapper-list {
    flex-direction: column;
  }
  .list-join-us {
    width: 100%;
  }
  .media-list li:first-child {
    margin-top: 0;
  }
}
.entry-use {
  border-radius: 1.5rem;
  background-color: var(--white);
  width: 27rem;
  padding-top: 1rem;
}
.use-title {
  display: flex;
  justify-content: center;
  margin: auto;
  background-color: var(--blue-semi);
  width: fit-content;
  padding: 0.5rem 1rem;
  border-radius: 1rem;
}
.wrapper-image-use {
  padding: 1rem;
  display: flex;
  justify-content: center;
}
.use-section,
.newsletter-section {
  background-color: var(--blue-semi);
  border-radius: 0;
  padding-bottom: 3rem;
}
.newsletter-section {
  padding-top: 4rem;
  iframe {
    height: 100rem;
  }
}
.use-list {
  flex-wrap: wrap;
  li {
    margin-bottom: 2rem;
    margin-right: 2rem;
  }
}
.use-link {
  width: 100%;
  height: 6rem;
  display: flex;
  justify-content: center;
  background-color: var(--blue-ligth);
  font-weight: 700;
  border-bottom-left-radius: 1.5rem;
  border-bottom-right-radius: 1.5rem;
  a {
    flex-direction: row-reverse;
  }
}
@media (max-width: 768px) {
  .header-home {
    flex-direction: column;
  }
  .wrapper-title {
    background: linear-gradient(
      180deg,
      rgba(10, 31, 105, 0.6) 0%,
      rgba(10, 31, 105, 0) 100%
    );
  }
  .wrapper-list,
  .community-list .wrapper-list {
    flex-direction: column;
  }
  .image-top-home {
    width: 100%;
    height: 15rem;
    object-fit: cover;
  }
  .main-title,
  .home-section-title {
    font-size: 2rem;
    padding-left: 0;
    padding-right: 0;
  }
  .main-description,
  .home-section-description,
  .wrapper-content {
    font-size: 1.2rem;
  }
  .main-title,
  .main-description {
    width: 100%;
  }
  .wrapper-title {
    padding-left: 2rem;
    padding-right: 2rem;
  }
  .home-section,
  section:nth-child(even),
  .catalogue-section {
    padding-right: 2rem;
    padding-left: 2rem;
  }
  .catalogue-section {
    padding-bottom: 0;
  }
  .home-section-description {
    width: 100%;
  }
  .entry-viewer {
    height: 35rem;
  }
  .community-list .wrapper-list {
    flex-direction: row;
    flex-wrap: wrap;
  }
  .community-list .wrapper-list li {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 33%;
    margin: 1rem 0 0;
  }
  .logo-community {
    height: 5rem;
  }
  .list-join-us:nth-child(2) {
    margin-right: initial;
    margin-left: initial;
  }
  .newsletter-section {
    padding-right: 0;
    padding-left: 0;
  }
}
@media (max-width: 500px) {
  .newsletter-section {
    iframe {
      height: 130rem;
    }
  }
}
</style>
